Bug 278252 - Crashed when try to import project from network (KDE Project)
Summary: Crashed when try to import project from network (KDE Project)
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: 4.2.3
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.2.3
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 309845 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-07-22 09:12 UTC by julee
Modified: 2012-11-11 12:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (14.61 KB, text/plain)
2012-10-26 05:52 UTC, Chris Rizzitello
Details

Note You need to log in before you can comment on or make changes to this bug.
Description julee 2011-07-22 09:12:01 UTC
Application: kdevelop (4.2.3)
KDE Platform Version: 4.6.5 (4.6.5) (Compiled from sources)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-11-generic i686
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:

I try to import project from network ,it's kde'sdk project.Then it begin,kdevelop crashed.
Kdevelop 4.2.2  --->compiled from source
To install ksceop-kde,kate has removed.So I compiled and install newest kate to a local directory which is different from default directory.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb776eac0 (LWP 7796))]

Thread 10 (Thread 0xb2fc1b70 (LWP 7797)):
#0  0x008b4416 in __kernel_vsyscall ()
#1  0x00951834 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:236
#2  0x07b6a454 in __pthread_cond_timedwait (cond=0xa2e71d0, mutex=0xa2e71b8, abstime=0xb2fc12c0) at forward.c:152
#3  0x040dc3e5 in wait (this=0xa2e0d0c, mutex=0xa2e0d10, time=1000) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa2e0d0c, mutex=0xa2e0d10, time=1000) at thread/qwaitcondition_unix.cpp:160
#5  0x081b482d in KDevelop::DUChainPrivate::CleanupThread::run (this=0xa2e0d00) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/language/duchain/duchain.cpp:286
#6  0x040dbda2 in QThreadPrivate::start (arg=0xa2e0d00) at thread/qthread_unix.cpp:320
#7  0x0094ce99 in start_thread (arg=0xb2fc1b70) at pthread_create.c:304
#8  0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xb15fdb70 (LWP 7819)):
#0  0x009507af in __pthread_mutex_unlock_usercnt (mutex=0xa40e24c, decr=1) at pthread_mutex_unlock.c:77
#1  0x07b6a656 in pthread_mutex_unlock (mutex=0xa40e24c) at forward.c:184
#2  0x06e6b5e6 in g_main_context_acquire () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x06e6cdde in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x06e6d524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x041fd577 in QEventDispatcherGlib::processEvents (this=0xa3e5750, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0x041cf289 in QEventLoop::processEvents (this=0xb15fd2c0, flags=...) at kernel/qeventloop.cpp:149
#7  0x041cf522 in QEventLoop::exec (this=0xb15fd2c0, flags=...) at kernel/qeventloop.cpp:201
#8  0x040d92a0 in QThread::exec (this=0xa433ac0) at thread/qthread.cpp:492
#9  0x082c06e8 in KDevelop::CompletionWorkerThread::run (this=0xa433ac0) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/language/codecompletion/codecompletionmodel.cpp:80
#10 0x040dbda2 in QThreadPrivate::start (arg=0xa433ac0) at thread/qthread_unix.cpp:320
#11 0x0094ce99 in start_thread (arg=0xb15fdb70) at pthread_create.c:304
#12 0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xb0363b70 (LWP 7877)):
#0  0x008b4416 in __kernel_vsyscall ()
#1  0x07b4df76 in __poll (fds=0xa513a38, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x06e7d84b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x06e6d1af in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x06e6d524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x041fd577 in QEventDispatcherGlib::processEvents (this=0xa5139d8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0x041cf289 in QEventLoop::processEvents (this=0xb03632c0, flags=...) at kernel/qeventloop.cpp:149
#7  0x041cf522 in QEventLoop::exec (this=0xb03632c0, flags=...) at kernel/qeventloop.cpp:201
#8  0x040d92a0 in QThread::exec (this=0xa82f3a8) at thread/qthread.cpp:492
#9  0x082c06e8 in KDevelop::CompletionWorkerThread::run (this=0xa82f3a8) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/language/codecompletion/codecompletionmodel.cpp:80
#10 0x040dbda2 in QThreadPrivate::start (arg=0xa82f3a8) at thread/qthread_unix.cpp:320
#11 0x0094ce99 in start_thread (arg=0xb0363b70) at pthread_create.c:304
#12 0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xad0beb70 (LWP 7878)):
#0  0x0040bd41 in clock_gettime (clock_id=1, tp=0xad0be030) at ../sysdeps/unix/clock_gettime.c:116
#1  0x04131dd8 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x041fe4f2 in updateCurrentTime (this=0xa851444, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xa851444, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x041fcd32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xad0be10c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x041fcdcd in timerSourcePrepare (source=0xa851410, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x06e6bfd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x06e6ce63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x06e6d524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x041fd577 in QEventDispatcherGlib::processEvents (this=0xa513b58, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x041cf289 in QEventLoop::processEvents (this=0xad0be2c0, flags=...) at kernel/qeventloop.cpp:149
#12 0x041cf522 in QEventLoop::exec (this=0xad0be2c0, flags=...) at kernel/qeventloop.cpp:201
#13 0x040d92a0 in QThread::exec (this=0xa834128) at thread/qthread.cpp:492
#14 0x082c06e8 in KDevelop::CompletionWorkerThread::run (this=0xa834128) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/language/codecompletion/codecompletionmodel.cpp:80
#15 0x040dbda2 in QThreadPrivate::start (arg=0xa834128) at thread/qthread_unix.cpp:320
#16 0x0094ce99 in start_thread (arg=0xad0beb70) at pthread_create.c:304
#17 0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xafb62b70 (LWP 7898)):
#0  0x008b4416 in __kernel_vsyscall ()
#1  0x0095148c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x07b6a3fd in __pthread_cond_wait (cond=0x74362b0, mutex=0x7436298) at forward.c:139
#3  0x0731d817 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x74311c0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x0731d851 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x74311c0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x0094ce99 in start_thread (arg=0xafb62b70) at pthread_create.c:304
#6  0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xab1ffb70 (LWP 7929)):
#0  0x0040bd41 in clock_gettime (clock_id=1, tp=0xab1ff000) at ../sysdeps/unix/clock_gettime.c:116
#1  0x04131dd8 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x041fe4f2 in updateCurrentTime (this=0xac5466c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xac5466c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x041fcd32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xab1ff0dc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x041fcdcd in timerSourcePrepare (source=0xac54638, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x06e6bfd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x06e6ce63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x06e6d524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x041fd577 in QEventDispatcherGlib::processEvents (this=0xac548f0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x041cf289 in QEventLoop::processEvents (this=0xab1ff290, flags=...) at kernel/qeventloop.cpp:149
#12 0x041cf522 in QEventLoop::exec (this=0xab1ff290, flags=...) at kernel/qeventloop.cpp:201
#13 0x040d92a0 in QThread::exec (this=0xac3f8f0) at thread/qthread.cpp:492
#14 0x041b0fdb in QInotifyFileSystemWatcherEngine::run (this=0xac3f8f0) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x040dbda2 in QThreadPrivate::start (arg=0xac3f8f0) at thread/qthread_unix.cpp:320
#16 0x0094ce99 in start_thread (arg=0xab1ffb70) at pthread_create.c:304
#17 0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xaa9feb70 (LWP 7984)):
#0  0x008b4416 in __kernel_vsyscall ()
#1  0x0095148c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x07b6a3fd in __pthread_cond_wait (cond=0x6b067f0, mutex=0x6b067d8) at forward.c:139
#3  0x06550b57 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0x0094ce99 in start_thread (arg=0xaa9feb70) at pthread_create.c:304
#5  0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa9b39b70 (LWP 7985)):
#0  0x008b4416 in __kernel_vsyscall ()
#1  0x0095148c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x07b6a3fd in __pthread_cond_wait (cond=0xa1f6e28, mutex=0xa1f6e10) at forward.c:139
#3  0x040dc467 in wait (this=0xa1f6c60, mutex=0xa1a5268, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa1f6c60, mutex=0xa1a5268, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0080d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa1f6c48, th=0xaca7288) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0081047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa1ac398, th=0xaca7288) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0080d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa1f6c48, th=0xaca7288) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0081056a in ThreadWeaver::WorkingHardState::applyForWork (this=0xa1ac398, th=0xaca7288) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0080d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa1f6c48, th=0xaca7288, previous=0xb6eac28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0080ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xa9b392f4, parent=0xa1f6c48, th=0xaca7288) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0080f05b in ThreadWeaver::Thread::run (this=0xaca7288) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x040dbda2 in QThreadPrivate::start (arg=0xaca7288) at thread/qthread_unix.cpp:320
#13 0x0094ce99 in start_thread (arg=0xa9b39b70) at pthread_create.c:304
#14 0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa9338b70 (LWP 7986)):
#0  0x008b4416 in __kernel_vsyscall ()
#1  0x0095148c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x07b6a3fd in __pthread_cond_wait (cond=0xa1f6e28, mutex=0xa1f6e10) at forward.c:139
#3  0x040dc467 in wait (this=0xa1f6c60, mutex=0xa1a5268, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa1f6c60, mutex=0xa1a5268, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0080d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa1f6c48, th=0xab8e2f8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0081047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa1ac398, th=0xab8e2f8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0080d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa1f6c48, th=0xab8e2f8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0081056a in ThreadWeaver::WorkingHardState::applyForWork (this=0xa1ac398, th=0xab8e2f8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0080d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa1f6c48, th=0xab8e2f8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00810589 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa1ac398, th=0xab8e2f8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0080d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa1f6c48, th=0xab8e2f8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x00810589 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa1ac398, th=0xab8e2f8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x0080d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa1f6c48, th=0xab8e2f8, previous=0xc45b6e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0x0080ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xa93382f4, parent=0xa1f6c48, th=0xab8e2f8) at ../../../threadweaver/Weaver/Thread.cpp:87
#15 0x0080f05b in ThreadWeaver::Thread::run (this=0xab8e2f8) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0x040dbda2 in QThreadPrivate::start (arg=0xab8e2f8) at thread/qthread_unix.cpp:320
#17 0x0094ce99 in start_thread (arg=0xa9338b70) at pthread_create.c:304
#18 0x07b5c73e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb776eac0 (LWP 7796)):
[KCrash Handler]
#7  QList (this=0x0) at /usr/include/qt4/QtCore/qlist.h:118
#8  QStringList (this=0x0) at /usr/include/qt4/QtCore/qstringlist.h:71
#9  KDevelop::IPlugin::extensions (this=0x0) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/interfaces/iplugin.cpp:155
#10 0x019e6ca9 in extension<KDevelop::IBasicVersionControl> (this=0xa4deb40, destinationDirectory=...) at /usr/include/kdevplatform/interfaces/iplugin.h:183
#11 KDEProviderWidget::createWorkingCopy (this=0xa4deb40, destinationDirectory=...) at /home/uli/bin/kde4/kdevleop/kdevelop-4.2.3/providers/kdeprovider/kdeproviderwidget.cpp:117
#12 0x004cc673 in KDevelop::ProjectSourcePage::jobPerCurrent (this=0xb975510) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/shell/projectsourcepage.cpp:122
#13 0x004cc71e in KDevelop::ProjectSourcePage::getVcsProject (this=0xb975510) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/shell/projectsourcepage.cpp:141
#14 0x004455a3 in KDevelop::ProjectSourcePage::qt_metacall (this=0xb975510, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfc5c938) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/build/shell/moc_projectsourcepage.cpp:89
#15 0x041d66ba in QMetaObject::metacall (object=0xb975510, cl=QMetaObject::InvokeMetaMethod, idx=29, argv=0xbfc5c938) at kernel/qmetaobject.cpp:237
#16 0x041e64ff in QMetaObject::activate (sender=0xc27f828, m=0x579f884, local_signal_index=2, argv=0xbfc5c938) at kernel/qobject.cpp:3287
#17 0x055457c9 in QAbstractButton::clicked (this=0xc27f828, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#18 0x0525d326 in QAbstractButtonPrivate::emitClicked (this=0xace0ad0) at widgets/qabstractbutton.cpp:546
#19 0x0525eb94 in QAbstractButtonPrivate::click (this=0xace0ad0) at widgets/qabstractbutton.cpp:539
#20 0x0525ee4e in QAbstractButton::mouseReleaseEvent (this=0xc27f828, e=0xbfc5d0c4) at widgets/qabstractbutton.cpp:1121
#21 0x04eb213a in QWidget::event (this=0xc27f828, event=0xbfc5d0c4) at kernel/qwidget.cpp:8259
#22 0x0525de9e in QAbstractButton::event (this=0xc27f828, e=0xbfc5d0c4) at widgets/qabstractbutton.cpp:1080
#23 0x052fbc52 in QPushButton::event (this=0xc27f828, e=0xbfc5d0c4) at widgets/qpushbutton.cpp:683
#24 0x04e59d24 in QApplicationPrivate::notify_helper (this=0x9e5a3b0, receiver=0xc27f828, e=0xbfc5d0c4) at kernel/qapplication.cpp:4462
#25 0x04e5f201 in QApplication::notify (this=0xbfc60338, receiver=0xc27f828, e=0xbfc5d0c4) at kernel/qapplication.cpp:4023
#26 0x0354232a in KApplication::notify (this=0xbfc60338, receiver=0xc27f828, event=0xbfc5d0c4) at ../../kdeui/kernel/kapplication.cpp:311
#27 0x0804bbdc in KDevelopApplication::notify (this=0xbfc60338, receiver=0xc27f828, event=0xbfc5d0c4) at /home/uli/bin/kde4/kdevleop/kdevelop-4.2.3/app/main.cpp:90
#28 0x041d00bb in QCoreApplication::notifyInternal (this=0xbfc60338, receiver=0xc27f828, event=0xbfc5d0c4) at kernel/qcoreapplication.cpp:731
#29 0x04e5ac3b in sendSpontaneousEvent (receiver=0xc27f828, event=0xbfc5d0c4, alienWidget=0x0, nativeWidget=0xc27f828, buttonDown=0x57a8c60, lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#30 QApplicationPrivate::sendMouseEvent (receiver=0xc27f828, event=0xbfc5d0c4, alienWidget=0x0, nativeWidget=0xc27f828, buttonDown=0x57a8c60, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3120
#31 0x04ee604c in QETWidget::translateMouseEvent (this=0xc27f828, event=0xbfc5d5ec) at kernel/qapplication_x11.cpp:4558
#32 0x04ee49b5 in QApplication::x11ProcessEvent (this=0xbfc60338, event=0xbfc5d5ec) at kernel/qapplication_x11.cpp:3680
#33 0x04f105f4 in x11EventSourceDispatch (s=0x9e5b5a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#34 0x06e6caa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#35 0x06e6d270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#36 0x06e6d524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#37 0x041fd53c in QEventDispatcherGlib::processEvents (this=0x9e1b968, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#38 0x04f101e5 in QGuiEventDispatcherGlib::processEvents (this=0x9e1b968, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#39 0x041cf289 in QEventLoop::processEvents (this=0xbfc5d8c0, flags=...) at kernel/qeventloop.cpp:149
#40 0x041cf522 in QEventLoop::exec (this=0xbfc5d8c0, flags=...) at kernel/qeventloop.cpp:201
#41 0x05379a93 in QDialog::exec (this=0xbfc5d92c) at dialogs/qdialog.cpp:552
#42 0x004716fb in KDevelop::ProjectDialogProvider::askProjectConfigLocation (this=0xa1b4d00, fetch=true, startUrl=...) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/shell/projectcontroller.cpp:326
#43 0x00473b14 in KDevelop::ProjectController::fetchProject (this=0xa1a3be0) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/shell/projectcontroller.cpp:673
#44 0x00475fa3 in KDevelop::ProjectController::qt_metacall (this=0xa1a3be0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfc5dcf8) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/build/shell/projectcontroller.moc:169
#45 0x041d66ba in QMetaObject::metacall (object=0xa1a3be0, cl=QMetaObject::InvokeMetaMethod, idx=27, argv=0xbfc5dcf8) at kernel/qmetaobject.cpp:237
#46 0x041e64ff in QMetaObject::activate (sender=0xa19b1a8, m=0x578c3f8, local_signal_index=1, argv=0xbfc5dcf8) at kernel/qobject.cpp:3287
#47 0x04e528d9 in QAction::triggered (this=0xa19b1a8, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#48 0x04e52b38 in QAction::activate (this=0xa19b1a8, event=QAction::Trigger) at kernel/qaction.cpp:1257
#49 0x052e733d in QMenuPrivate::activateCausedStack (this=0xbf372f0, causedStack=..., action=0xa19b1a8, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:993
#50 0x052edbfb in QMenuPrivate::activateAction (this=0xbf372f0, action=0xa19b1a8, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1085
#51 0x052eea8e in QMenu::mouseReleaseEvent (this=0xbfc5ee38, e=0xbfc5e5c4) at widgets/qmenu.cpp:2306
#52 0x0361fc24 in KMenu::mouseReleaseEvent (this=0xbfc5ee38, e=0xbfc5e5c4) at ../../kdeui/widgets/kmenu.cpp:458
#53 0x04eb213a in QWidget::event (this=0xbfc5ee38, event=0xbfc5e5c4) at kernel/qwidget.cpp:8259
#54 0x052eef67 in QMenu::event (this=0xbfc5ee38, e=0xbfc5e5c4) at widgets/qmenu.cpp:2415
#55 0x04e59d24 in QApplicationPrivate::notify_helper (this=0x9e5a3b0, receiver=0xbfc5ee38, e=0xbfc5e5c4) at kernel/qapplication.cpp:4462
#56 0x04e5f201 in QApplication::notify (this=0xbfc60338, receiver=0xbfc5ee38, e=0xbfc5e5c4) at kernel/qapplication.cpp:4023
#57 0x0354232a in KApplication::notify (this=0xbfc60338, receiver=0xbfc5ee38, event=0xbfc5e5c4) at ../../kdeui/kernel/kapplication.cpp:311
#58 0x0804bbdc in KDevelopApplication::notify (this=0xbfc60338, receiver=0xbfc5ee38, event=0xbfc5e5c4) at /home/uli/bin/kde4/kdevleop/kdevelop-4.2.3/app/main.cpp:90
#59 0x041d00bb in QCoreApplication::notifyInternal (this=0xbfc60338, receiver=0xbfc5ee38, event=0xbfc5e5c4) at kernel/qcoreapplication.cpp:731
#60 0x04e5ac3b in sendSpontaneousEvent (receiver=0xbfc5ee38, event=0xbfc5e5c4, alienWidget=0x0, nativeWidget=0xbfc5ee38, buttonDown=0x57a8c60, lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#61 QApplicationPrivate::sendMouseEvent (receiver=0xbfc5ee38, event=0xbfc5e5c4, alienWidget=0x0, nativeWidget=0xbfc5ee38, buttonDown=0x57a8c60, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3120
#62 0x04ee6253 in QETWidget::translateMouseEvent (this=0xbfc5ee38, event=0xbfc5eaec) at kernel/qapplication_x11.cpp:4492
#63 0x04ee49b5 in QApplication::x11ProcessEvent (this=0xbfc60338, event=0xbfc5eaec) at kernel/qapplication_x11.cpp:3680
#64 0x04f105f4 in x11EventSourceDispatch (s=0x9e5b5a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#65 0x06e6caa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#66 0x06e6d270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#67 0x06e6d524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#68 0x041fd53c in QEventDispatcherGlib::processEvents (this=0x9e1b968, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#69 0x04f101e5 in QGuiEventDispatcherGlib::processEvents (this=0x9e1b968, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#70 0x041cf289 in QEventLoop::processEvents (this=0xbfc5edc0, flags=...) at kernel/qeventloop.cpp:149
#71 0x041cf522 in QEventLoop::exec (this=0xbfc5edc0, flags=...) at kernel/qeventloop.cpp:201
#72 0x052eb051 in QMenu::exec (this=0xbfc5ee38, p=..., action=0x0) at widgets/qmenu.cpp:2059
#73 0x088b5e09 in ProjectTreeView::popupContextMenu (this=0xac0fe18, pos=...) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/plugins/projectmanagerview/projecttreeview.cpp:217
#74 0x088b621d in ProjectTreeView::qt_metacall (this=0xac0fe18, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfc5f018) at /home/uli/bin/kde4/kdevleop/kdevplatform-1.2.3/build/plugins/projectmanagerview/projecttreeview.moc:81
#75 0x041d66ba in QMetaObject::metacall (object=0xac0fe18, cl=QMetaObject::InvokeMetaMethod, idx=90, argv=0xbfc5f018) at kernel/qmetaobject.cpp:237
#76 0x041e64ff in QMetaObject::activate (sender=0xac0fe18, m=0x578d3a8, local_signal_index=0, argv=0xbfc5f018) at kernel/qobject.cpp:3287
#77 0x04ea8183 in QWidget::customContextMenuRequested (this=0xac0fe18, _t1=...) at .moc/release-shared/moc_qwidget.cpp:360
#78 0x04eb2cb9 in QWidget::event (this=0xac0fe18, event=0xbfc5f90c) at kernel/qwidget.cpp:8429
#79 0x052a69f3 in QFrame::event (this=0xac0fe18, e=0xbfc5f90c) at widgets/qframe.cpp:557
#80 0x05335062 in QAbstractScrollArea::viewportEvent (this=0xac0fe18, e=0xbfc5f90c) at widgets/qabstractscrollarea.cpp:1043
#81 0x053d4227 in QAbstractItemView::viewportEvent (this=0xac0fe18, event=0xbfc5f90c) at itemviews/qabstractitemview.cpp:1628
#82 0x0541be83 in QTreeView::viewportEvent (this=0xac0fe18, event=0xbfc5f90c) at itemviews/qtreeview.cpp:1256
#83 0x05337965 in viewportEvent (this=0xac16db0, o=0xabd1c60, e=0xbfc5f90c) at widgets/qabstractscrollarea_p.h:100
#84 QAbstractScrollAreaFilter::eventFilter (this=0xac16db0, o=0xabd1c60, e=0xbfc5f90c) at widgets/qabstractscrollarea_p.h:116
#85 0x041d025a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9e5a3b0, receiver=0xabd1c60, event=0xbfc5f90c) at kernel/qcoreapplication.cpp:846
#86 0x04e59d00 in QApplicationPrivate::notify_helper (this=0x9e5a3b0, receiver=0xabd1c60, e=0xbfc5f90c) at kernel/qapplication.cpp:4458
#87 0x04e5ec62 in QApplication::notify (this=0xbfc60338, receiver=0xabd1c60, e=0xbfc5f90c) at kernel/qapplication.cpp:4102
#88 0x0354232a in KApplication::notify (this=0xbfc60338, receiver=0xabd1c60, event=0xbfc5f90c) at ../../kdeui/kernel/kapplication.cpp:311
#89 0x0804bbdc in KDevelopApplication::notify (this=0xbfc60338, receiver=0xabd1c60, event=0xbfc5f90c) at /home/uli/bin/kde4/kdevleop/kdevelop-4.2.3/app/main.cpp:90
#90 0x041d00bb in QCoreApplication::notifyInternal (this=0xbfc60338, receiver=0xabd1c60, event=0xbfc5f90c) at kernel/qcoreapplication.cpp:731
#91 0x04ee60d3 in sendSpontaneousEvent (this=0xabd1c60, event=0xbfc5fe0c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#92 QETWidget::translateMouseEvent (this=0xabd1c60, event=0xbfc5fe0c) at kernel/qapplication_x11.cpp:4563
#93 0x04ee49b5 in QApplication::x11ProcessEvent (this=0xbfc60338, event=0xbfc5fe0c) at kernel/qapplication_x11.cpp:3680
#94 0x04f105f4 in x11EventSourceDispatch (s=0x9e5b5a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#95 0x06e6caa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#96 0x06e6d270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#97 0x06e6d524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#98 0x041fd53c in QEventDispatcherGlib::processEvents (this=0x9e1b968, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#99 0x04f101e5 in QGuiEventDispatcherGlib::processEvents (this=0x9e1b968, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#100 0x041cf289 in QEventLoop::processEvents (this=0xbfc600d4, flags=...) at kernel/qeventloop.cpp:149
#101 0x041cf522 in QEventLoop::exec (this=0xbfc600d4, flags=...) at kernel/qeventloop.cpp:201
#102 0x041d3ecc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#103 0x04e578e7 in QApplication::exec () at kernel/qapplication.cpp:3736
#104 0x08053155 in main (argc=<value optimized out>, argv=0x7665646b) at /home/uli/bin/kde4/kdevleop/kdevelop-4.2.3/app/main.cpp:467

Reported using DrKonqi
Comment 1 Aleix Pol 2011-08-09 08:21:01 UTC
Git commit 78ac39207d0b41ddd6789479047b1bac5bd58c49 by Aleix Pol.
Committed on 09/08/2011 at 10:18.
Pushed by apol into branch 'master'.

Drop support for importing SVN projects.

BUG: 278252

M  +11   -10   providers/kdeprovider/kdeproviderwidget.cpp
M  +0    -3    providers/kdeprovider/kdeconfig.kcfg
M  +2    -6    providers/kdeprovider/kdeprojectsmodel.h
M  +3    -34   providers/kdeprovider/kdeprojectsmodel.cpp
M  +25   -32   providers/kdeprovider/kdeconfig.ui
M  +2    -1    providers/kdeprovider/kdeprojectsreader.cpp
M  +0    -1    providers/kdeprovider/kdeprojectsreader.h

http://commits.kde.org/kdevelop/78ac39207d0b41ddd6789479047b1bac5bd58c49
Comment 2 Chris Rizzitello 2012-10-26 05:52:45 UTC
Created attachment 74803 [details]
New crash information added by DrKonqi

kdevelop (4.3.90) on KDE Platform 4.9.2 using Qt 4.8.3

- What I was doing when the application crashed:
Trying to import a project from kde 
- Unusual behavior I noticed:
Crashed 3 of 3 times. (2x yakuake import 1x rekonq import)
- Custom settings of the application:
None Fresh Install new /home

-- Backtrace (Reduced):
#7  QList (l=<error reading variable: Cannot access memory at address 0x10>, this=0xbfa6e04c) at /usr/include/qt4/QtCore/qlist.h:122
#8  QStringList (l=<error reading variable: Cannot access memory at address 0x10>, this=0xbfa6e04c) at /usr/include/qt4/QtCore/qstringlist.h:71
#9  KDevelop::IPlugin::extensions (this=0x0) at ../../interfaces/iplugin.cpp:155
#10 0xac53922c in extension<KDevelop::IBasicVersionControl> (this=0x0) at /usr/include/kdevplatform/interfaces/iplugin.h:183
#11 KDEProviderWidget::createWorkingCopy (this=0xada5ed0, destinationDirectory=...) at ../../../providers/kdeprovider/kdeproviderwidget.cpp:98
Comment 3 Milian Wolff 2012-11-11 12:29:26 UTC
can be triggered when the git plugin is not enabled.
Comment 4 Milian Wolff 2012-11-11 12:29:46 UTC
*** Bug 309845 has been marked as a duplicate of this bug. ***
Comment 5 Milian Wolff 2012-11-11 12:49:32 UTC
Git commit 00b4beed3d38902751703ca1f23309aaed034608 by Milian Wolff.
Committed on 11/11/2012 at 13:47.
Pushed by mwolff into branch 'master'.

Gracefully handle the case where the git plugin is disabled.

M  +5    -0    providers/kdeprovider/kdeproviderwidget.cpp

http://commits.kde.org/kdevelop/00b4beed3d38902751703ca1f23309aaed034608
Comment 6 Milian Wolff 2012-11-11 12:49:55 UTC
Git commit e0cd05328ff7d322182fa5ca6d486da9ec770475 by Milian Wolff.
Committed on 11/11/2012 at 13:46.
Pushed by mwolff into branch 'master'.

Gracefully handle the error case of no job being created

M  +3    -1    shell/projectsourcepage.cpp

http://commits.kde.org/kdevplatform/e0cd05328ff7d322182fa5ca6d486da9ec770475